<?php


namespace App\ViewModels\Consulta\ConsultaRegistrationViewModel;


use App\Utils\Entity;

class ConsultaRegistrationViewModel extends Entity
{
    protected $id_agendamento;
    protected $id_formulario;
    protected $titulo;
    protected $descricao;
    protected $resposta_numerica_inteira_collection;
    protected $resposta_numerica_decimal_collection;
    protected $resposta_textual_collection;
    protected $resposta_escolha_opcao_collection;

    public static function builder(): ConsultaRegistrationViewModelBuilder
    {
        return new ConsultaRegistrationViewModelBuilder;
    }

    public function getIdAgendamento(): int
    {
        return $this->id_agendamento;
    }

    public function getTitulo(): string
    {
        return $this->titulo;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getRespostaNumericaInteiraCollection(): RespostaFormularioCollection
    {
        return $this->resposta_numerica_inteira_collection;
    }

    public function getRespostaNumericaDecimalCollection(): RespostaFormularioCollection
    {
        return $this->resposta_numerica_decimal_collection;
    }

    public function getRespostaTextualCollection(): RespostaFormularioCollection
    {
        return $this->resposta_textual_collection;
    }

    public function getRespostaEscolhaOpcaoCollection(): RespostaFormularioCollection
    {
        return $this->resposta_escolha_opcao_collection;
    }

    public function setIdAgendamento(int $id_agendamento): void
    {
        $this->id_agendamento = $id_agendamento;
    }

    public function setTitulo(string $titulo): void
    {
        $this->titulo = $titulo;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setRespostaNumericaInteiraCollection(RespostaFormularioCollection $resposta_numerica_inteira_collection): void
    {
        $this->resposta_numerica_inteira_collection = $resposta_numerica_inteira_collection;
    }

    public function setRespostaNumericaDecimalCollection(RespostaFormularioCollection $resposta_numerica_decimal_collection): void
    {
        $this->resposta_numerica_decimal_collection = $resposta_numerica_decimal_collection;
    }

    public function setRespostaTextualCollection(RespostaFormularioCollection $resposta_textual_collection): void
    {
        $this->resposta_textual_collection = $resposta_textual_collection;
    }

    public function setRespostaEscolhaOpcaoCollection(RespostaFormularioCollection $resposta_escolha_opcao_collection): void
    {
        $this->resposta_escolha_opcao_collection = $resposta_escolha_opcao_collection;
    }

    public function getIdFormulario()
    {
        return $this->id_formulario;
    }

    public function setIdFormulario($id_formulario): void
    {
        $this->id_formulario = $id_formulario;
    }



}